------------------------------------------------------------------------------------
--Name:			191227[简体征服][任务脚本]忍者觉醒版本-忍者觉醒剧情任务
--Creator:		兰瑞妹
--Created:		2020/01/02
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>25
-- /chgmap 1002 394 650
-- 1.背景为sswq-zs01a_new
-- 2.玩家、真纪、Yiraiya站在在屏幕中对话
-- 3.对话完成后，真纪、Yiraiya向右移动离开屏幕，玩家向下移动离开屏幕
-- 4.三人同时离开屏幕后，三代火影闪进屏幕中，1秒后闪出屏幕


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(394, 650)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "Name", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "Newbie", 4003000001)

hero:SetPos(417, 637)
-- 等待1000毫秒
-- CppScriptMgr:WaitMilSec(1000)
-- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)
-- hero:SetCtrlMapView(1)

local player0 = CppScriptMgr:AddSimplePlayer(1053840, 388, 649, "Maki", 4003000200,1)
local player1 = CppScriptMgr:AddSimplePlayer(23570, 395, 655, "Yiraiya", 4003000201,1)
player0:SetDir(6)
player1:SetDir(5)
-- 设置玩家方向，[0, 7]-八方向
-- player1:SetDir(1)
-- 设置衣服：player:SetArmor(衣服物品type, 神魂type, 更新外观)
-- player1:SetArmor(194905, 0, 1)
-- 设置右手武器：player:SetRWeapon(武器物品type, 神魂type, 更新外观)
-- player1:SetRWeapon(616439, 0, 1)
-- 设置左手武器：player:SetLWeapon(武器物品type, 神魂type, 更新外观)
-- player1:SetLWeapon(616439, 0, 1)
hero:JumpTo(395,648)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("Where is that explosive sound from?\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("Where is that explosive sound from?", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Chimaru ran away.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Luckily, I left a Ultra Space Mark on you, or the result will be horrible.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("What is the Ultra Space Mark?\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("What is the Ultra Space Mark?", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("This. My late disciple made it. He is a genius.\nHe became the Shadow at the age of 20. If he could live for another 10 years, things might be different.\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("This Ultra Space Mark can send you to your destination at instant.\nThis is the last one I have. Take it. It may save your life.\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("Thanks.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("Thanks.", 2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("The son of the last Wind Shadow, Gara, is in the Desert. There will be more assassins. Be alert!\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc206", 150, 430, "Yiraiya", 250, 655)
CppScriptMgr:WaitMilSec(2000)
-- CppScriptMgr:NpcCallOut("I`ll be careful.\n\n\n\n                                     Press ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc208", 150, 430, "Me", 250, 655)
hero:Say("I`ll be careful.", 2000)
CppScriptMgr:WaitMilSec(2000)

